Bug 326481 - selinux is denying a bunch of actions to salsa
selinux is denying a bunch of actions to salsa
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 12:01 EDT by Julian Sikorski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.0.8-22.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 06:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-10-10 12:01:15 EDT
Description of problem:
While skimming through the logs looking for an unrelated issue, I discovered a
bunch of new selinux denials (there were not there before I upgraded to
rawhide). First part is connected with salsa:

audit(1192029359.421:4): avc:  denied  { read } for  pid=1512 comm="salsa"
name="asound.state" dev=sda5 ino=1828412
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:alsa_etc_rw_t:s0 tclass=file
audit(1192029359.421:5): avc:  denied  { getattr } for  pid=1513 comm="salsa"
path="/etc/alsa/asound.state" dev=sda5 ino=1828412
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:alsa_etc_rw_t:s0 tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-18.fc8

How reproducible:
always

Additional info:
obtained with dmesg | grep audit

Note You need to log in before you can comment on or make changes to this bug.